GET /api/v1/waterways
Chokepoints: canals and straits
Every canal and strait on the chokepoint monitor, with its identity and AIS transit counts (a derived fact with method, version, confidence and inputs). Counts are served only when every feed they were computed from permits API use; otherwise they are listed under `withheld`.
1 creditKey required
Request
curl -H "Authorization: Bearer $SEADAR_API_KEY" \
https://www.voydar.com/api/v1/waterwaysResponse (abridged)
{
"type": "port_list",
"apiVersion": "1",
"count": 2,
"data": [
{ "unlocode": "NLAMS", "name": "Amsterdam", "country": "NL", "coordinates": { "lat": 52.4, "lon": 4.82, "source": "unlocode" },
"api": "https://www.voydar.com/api/v1/ports/nlams" },
{ "unlocode": "NLRTM", "name": "Rotterdam", "country": "NL", "coordinates": { "lat": 51.9, "lon": 4.5, "source": "nga_wpi" },
"api": "https://www.voydar.com/api/v1/ports/nlrtm" }
],
"next": "https://www.voydar.com/api/v1/ports?country=NL&limit=2&cursor=NLRTM",
"withheld": [],
"attribution": [ "…" ], "license": [ "…" ], "sources": ["nga_wpi", "unlocode"]
}